[oe-commits] [openembedded-core] 01/03: scripts/autobuilder-worker-prereq-tests: adjust max_user_watches

git at git.openembedded.org git at git.openembedded.org
Mon Nov 5 17:17:17 UTC 2018


This is an automated email from the git hooks/post-receive script.

rpurdie pushed a commit to branch master-next
in repository openembedded-core.

commit 5ad08411be626afc1709b11897de509ba5a5e87f
Author: Michael Halstead <mhalstead at linuxfoundation.org>
AuthorDate: Mon Nov 5 09:10:48 2018 -0800

    scripts/autobuilder-worker-prereq-tests: adjust max_user_watches
    
    Temporarily modify path to run as non-privileged user on more distros.
    Change the recommended value to match what we use on the autobuilder.
    
    Signed-off-by: Michael Halstead <mhalstead at linuxfoundation.org>
    Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>
---
 scripts/autobuilder-worker-prereq-tests | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/scripts/autobuilder-worker-prereq-tests b/scripts/autobuilder-worker-prereq-tests
index c0148fb..bb46c69 100755
--- a/scripts/autobuilder-worker-prereq-tests
+++ b/scripts/autobuilder-worker-prereq-tests
@@ -34,10 +34,11 @@ if [ "$?" != "0" ]; then
     echo "Bitbake parsing failed"
     exit 1
 fi
-WATCHES=`sysctl fs.inotify.max_user_watches -n`
-if (( $WATCHES < 100000 )); then
-    echo 'Need to increase watches (echo fs.inotify.max_user_watches=524288 | sudo tee -a /etc/sysctl.conf'
-    #exit 1
+
+WATCHES=$(PATH="/sbin:/usr/sbin:$PATH" sysctl fs.inotify.max_user_watches -n)
+if (( $WATCHES < 65000 )); then
+    echo 'Need to increase watches (echo fs.inotify.max_user_watches=65536 | sudo tee -a /etc/sysctl.conf'
+    exit 1
 fi
 mkdir -p tmp/deploy/images/qemux86-64
 pushd tmp/deploy/images/qemux86-64

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list